2019-08-23 15:57 CEST

View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0005902Spring engineGeneralpublic2018-02-22 18:28
ReporterGoogle_Frog 
Assigned ToKloot 
PrioritynormalSeveritymajorReproducibilitysometimes
StatusresolvedResolutionfixed 
Product Version104.0 +git 
Target VersionFixed in Version 
Summary0005902: 104.0.1-247-gb738aa8 maintenance desyncs fast and often
DescriptionIn the five hours since I set the new engine version I received these desync reports.

No replay
https://github.com/ZeroK-RTS/CrashReports/issues/3628

http://zero-k.info/Battles/Detail/488055
https://github.com/ZeroK-RTS/CrashReports/issues/3630
https://github.com/ZeroK-RTS/CrashReports/issues/3631

http://zero-k.info/Battles/Detail/488057
https://github.com/ZeroK-RTS/CrashReports/issues/3638
https://github.com/ZeroK-RTS/CrashReports/issues/3639

http://zero-k.info/Battles/Detail/488059
https://github.com/ZeroK-RTS/CrashReports/issues/3646
TagsNo tags attached.
Checked infolog.txt for lua Errors
Attached Files

-Relationships
+Relationships

-Notes

~0018833

Google_Frog (reporter)

Another came in:

http://zero-k.info/Battles/Detail/488062
https://github.com/ZeroK-RTS/CrashReports/issues/3648
https://github.com/ZeroK-RTS/CrashReports/issues/3649

~0018834

Kloot (developer)

N2S: https://github.com/ZeroK-RTS/CrashReports/issues/3628 should be considered the baseline report because 1) no native AI was present and 2) no simulation reloads happened

~0018840

Kloot (developer)

Fix 2f814b04e1e0a1059a634ad2487ec0c95cb1bd4d committed to develop branch: fix 0005902, repo: spring changeset id: 9715

~0018841

Kloot (developer)

Fix 20c73b0130b1cb86106c47bf01efa0d02ec4c4bf committed to maintenance branch: fix 0005902, repo: spring changeset id: 9716
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2018-02-21 14:05 Google_Frog New Issue
2018-02-21 14:10 Google_Frog File Added: 20180221_102458_Small Supreme Battlefield V2_104.0.1-247-gb738aa8 maintenance.sdfz
2018-02-21 14:10 Google_Frog File Added: 20180221_111319_rysia_104.0.1-247-gb738aa8 maintenance.sdfz
2018-02-21 14:10 Google_Frog File Added: 20180221_132956_Dual Icy Run v3_104.0.1-247-gb738aa8 maintenance.sdfz
2018-02-21 14:23 Google_Frog Note Added: 0018833
2018-02-21 14:35 Kloot Note Added: 0018834
2018-02-22 14:31 Kloot Assigned To => Kloot
2018-02-22 14:31 Kloot Status new => assigned
2018-02-22 18:27 Kloot Changeset attached => spring develop 2f814b04
2018-02-22 18:27 Kloot Note Added: 0018840
2018-02-22 18:27 Kloot Status assigned => resolved
2018-02-22 18:27 Kloot Resolution open => fixed
2018-02-22 18:28 Kloot Changeset attached => spring maintenance 20c73b01
2018-02-22 18:28 Kloot Note Added: 0018841
+Issue History